सामग्री पर जाएँ

Segment Anything Model 2 · Image

इंटीग्रेट करें

मॉडल id sam2/image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sam2/image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.002 2 API क्रेडिट · ≈ ₽0.21 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Meta इमेज एडिटिंग #segmentation#mask#real-time

पॉइंट या बॉक्स प्रॉम्प्ट से एक इमेज में ऑब्जेक्ट को सेगमेंट करता है और मास्क या मास्क की गई इमेज लौटाता है

Meta · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

सेगमेंटेशन के लिए इमेज की ओर संकेत करने वाला URL।

उन्नत output_format · apply_mask · prompts · box_prompts
output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट []

इमेज सेगमेंटेशन के लिए इस्तेमाल किए गए प्रॉम्प्ट।

डिफ़ॉल्ट []

बॉक्स की सीमा के निर्देशांक।

POST /run/sam2/image?wait=20 कोटेशन → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sam2/image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Segment Anything Model 2 · Image के बारे में

पॉइंट प्रॉम्प्ट (`prompts`) या बॉक्स निर्देशांक (`box_prompts`) का उपयोग करके SAM 2 से इमेज को सेगमेंट करता है। केवल मास्क के बजाय मास्क को चित्र पर लागू करके पाने के लिए `apply_mask` को true पर सेट करें। आउटपुट को jpeg, png या webp के रूप में सेव किया जा सकता है; डिफ़ॉल्ट png है। हर अनुरोध में एक इमेज URL लेता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
सेगमेंटेशन के लिए इमेज की ओर संकेत करने वाला URL।
promptsवैकल्पिक
प्रकारobject[]
डिफ़ॉल्ट[]
इमेज सेगमेंटेशन के लिए इस्तेमाल किए गए प्रॉम्प्ट।
prompts[].xवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट305
X अक्ष पर प्रॉम्प्ट की स्थिति।
prompts[].yवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट350
Y अक्ष पर प्रॉम्प्ट की स्थिति।
prompts[].labelवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1
01
प्रॉम्प्ट लेबल: 1 अग्रभूमि को दर्शाता है, जबकि 0 पृष्ठभूमि को दर्शाता है।
prompts[].frame_indexवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट0
इंटरैक्शन के लिए फ़्रेम की पहचान करने वाला इंडेक्स।
box_promptsवैकल्पिक
प्रकारobject[]
डिफ़ॉल्ट[]
बॉक्स की सीमा के निर्देशांक।
box_prompts[].x_minवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट0
बॉक्स के लिए न्यूनतम x-coordinate।
box_prompts[].y_minवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट0
बॉक्स के लिए न्यूनतम y-coordinate।
box_prompts[].x_maxवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट0
प्रॉम्प्ट के लिए अधिकतम x-coordinate।
box_prompts[].y_maxवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट0
प्रॉम्प्ट के लिए अधिकतम y-coordinate।
box_prompts[].frame_indexवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट0
इंटरैक्शन के लिए फ़्रेम की पहचान करने वाला इंडेक्स।
apply_maskवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
नियंत्रित करता है कि इमेज पर मास्क लागू किया जाए या नहीं।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sam2/image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size, width, height}सेगमेंटेशन लागू की गई इमेज।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/sam2/image.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt